mbedtls_gcm_context Struct Reference

The GCM context structure. More...

`#include <gcm.h>`

Collaboration diagram for mbedtls_gcm_context:
[legend]

## Data Fields

mbedtls_cipher_context_t | cipher_ctx
uint64_t | HL [16]
uint64_t | HH [16]
uint64_t | len
uint64_t | add_len
unsigned char | base_ectr [16]
unsigned char | y [16]
unsigned char | buf [16]
int | mode

## Detailed Description

The GCM context structure.

Definition at line 66 of file gcm.h.

## Field Documentation

## add_len

uint64_t mbedtls_gcm_context::add_len

The total length of the additional data.

Definition at line 72 of file gcm.h.

## base_ectr

unsigned char mbedtls_gcm_context::base_ectr[16]

The first ECTR for tag.

Definition at line 73 of file gcm.h.

## buf

unsigned char mbedtls_gcm_context::buf[16]

The buf working value.

Definition at line 75 of file gcm.h.

## cipher_ctx

mbedtls_cipher_context_t mbedtls_gcm_context::cipher_ctx

The cipher context used.

Definition at line 68 of file gcm.h.

## HH

uint64_t mbedtls_gcm_context::HH[16]

Precalculated HTable high.

Definition at line 70 of file gcm.h.

## HL

uint64_t mbedtls_gcm_context::HL[16]

Precalculated HTable low.

Definition at line 69 of file gcm.h.

## len

uint64_t mbedtls_gcm_context::len

The total length of the encrypted data.

Definition at line 71 of file gcm.h.

## mode

int mbedtls_gcm_context::mode

The operation to perform: MBEDTLS_GCM_ENCRYPT or MBEDTLS_GCM_DECRYPT.

Definition at line 76 of file gcm.h.

## y

unsigned char mbedtls_gcm_context::y[16]

The Y working value.

Definition at line 74 of file gcm.h.

The documentation for this struct was generated from the following file:

- gcm.h